package com.steering.pss.plnsaleord.stove.entity;

/**
 * 数据库表PLN_ZY_JG_M所对应的实体类（生成工具：代码生成器3.0）
 * 
 * @author PC-20180117CCCC date 2018-06-01
 */
@SuppressWarnings("serial")
public class PlnZyJgMEntity implements java.io.Serializable {


	public String getFeedHeatNo() {
		return feedHeatNo;
	}

	public void setFeedHeatNo(String feedHeatNo) {
		this.feedHeatNo = feedHeatNo;
	}

	private String feedHeatNo = "";

	public String getIsLoadFlag() {
		return isLoadFlag;
	}

	public void setIsLoadFlag(String isLoadFlag) {
		this.isLoadFlag = isLoadFlag;
	}

	private  String isLoadFlag = "";
	/**
	 * 炉计划ID
	 */
	private String heatPlanNo = "";
	/**
	 * 接箍工序订单编号
	 */
	private String proPlanId = "";
	/**
	 * 属性分组号
	 */
	private String jgGroupId = "";
	/**
	 * 工序排产序号
	 */
	private String gxPlanNo = "";
	/**
	 * 炉号
	 */
	private String judgeStoveNo = "";
	/**
	 * 接箍产线代码
	 */
	private String plineCode = "";
	/**
	 * 接箍产线描述
	 */
	private String plineName = "";
	/**
	 * 接箍备料码
	 */
	private String codeJgBl = "";
	/**
	 * 接箍料物料编码
	 */
	private String blWlId = "";
	/**
	 * 接箍料物料描述
	 */
	private String blWlDesc = "";
	/**
	 * 钢级(牌号)代码
	 */
	private String steelcode = "";
	/**
	 * 钢级(牌号)名称
	 */
	private String steelname = "";
	/**
	 * 钢种代码
	 */
	private String gradecode = "";
	/**
	 * 钢种名称
	 */
	private String gradename = "";
	/**
	 * 接箍料外径(mm)
	 */
	private String minD = "";
	/**
	 * 接箍料壁厚(mm)
	 */
	private String minH = "";
	/**
	 * 接箍料目标长度
	 */
	private String aimlengthBl = "";
	/**
	 * 目标切管长
	 */
	private String aimCutLen = "";
	/**
	 * 接箍坯料长度min
	 */
	private String lengthMin = "";
	/**
	 * 接箍坯料长度max
	 */
	private String lengthMax = "";
	/**
	 * 接箍坯料锥度
	 */
	private String taper = "";
	/**
	 * 接箍码
	 */
	private String codeJg = "";
	/**
	 * 扣型代码
	 */
	private String modelCode = "";
	/**
	 * 接箍扣型描述
	 */
	private String modelDesc = "";
	/**
	 * 接箍外径
	 */
	private String outdiameter = "";
	/**
	 * 接箍壁厚
	 */
	private String wallthick = "";
	/**
	 * 接箍规格代码
	 */
	private String specJg = "";
	/**
	 * 接箍规格描述
	 */
	private String specJgDesc = "";
	/**
	 * 中孔类别(I、II、III、IV...)
	 */
	private String styleJg = "";
	/**
	 * 中孔内径
	 */
	private String diameter = "";
	/**
	 * 测量J值
	 */
	private String checkJVal = "";
	/**
	 * 接箍长度
	 */
	private String aimlength = "";
	/**
	 * 接箍单重
	 */
	private String singleweight = "";
	/**
	 * 涂层类型（镀铜、磷化）
	 */
	private String coatType = "";
	/**
	 * 计划接箍个数
	 */
	private String planJgNum = "";
	/**
	 * 计划接箍料支数
	 */
	private String planBlNum = "";
	/**
	 * 计划接箍料重量
	 */
	private String planBlWt = "";
	/**
	 * 监制要求
	 */
	private String monitordemand = "";
	/**
	 * 是否监制
	 */
	private String ifMonitorJg = "";
	/**
	 * 监制编号
	 */
	private String prdcrNo = "";
	/**
	 * 切管机床组号
	 */
	private String cutMachGrpNo = "";
	/**
	 * 切管机床组
	 */
	private String cutMachGrpNm = "";
	/**
	 * 压印喷标要求（4项之一）
	 */
	private String demandCopper = "";
	/**
	 * 车丝机床组号
	 */
	private String latheGrpNo = "";
	/**
	 * 车丝机床组
	 */
	private String latheGrpNm = "";
	/**
	 * 探伤要求（4项之一，408401）
	 */
	private String demandDetection = "";
	/**
	 * 喷砂要求（4项之一）
	 */
	private String demandBlast = "";
	/**
	 * 磷化镀铜要求（4项之一，408402）
	 */
	private String demandBonderizing = "";
	/**
	 * 计划状态（0计划，1下发，2生产中，3生产完成）
	 */
	private String planstatus = "";
	/**
	 * 备注
	 */
	private String memo = "";
	/**
	 * 创建人
	 */
	private String createName = "";
	/**
	 * 创建时间
	 */
	private String createTime = "";
	/**
	 * 下发人
	 */
	private String updateName = "";
	/**
	 * 下发时间
	 */
	private String updateTime = "";
	/**
	 * 客户Alpha编号
	 */
	private String custAlphaNo = "";
	/**
	 * 产品特殊要求描述
	 */
	private String orderSpecialDesc = "";
	/**
	 * 用途代码
	 */
	private String alphaCode = "";
	/**
	 * 工艺文件号
	 */
	private String craftFileNo = "";
	/**
	 * 工艺序号
	 */
	private String craftSeq = "";
	/**
	 * 主交货编码PK
	 */
	private String ordLnDlyPk = "";
	/**
	 * 单支可切个数
	 */
	private String singleCutNun = "";
	/**
	 * 是否利库
	 */
	private String ifMatchOdd = "";
	/**
	 * 是否已做正式炉计划(区分虚拟炉计划OR实际炉计划)
	 */
	private String ifDoHeatPlan = "";
	/**
	 * 产出物料编码
	 */
	private String outwlId = "";
	/**
	 * 产出物料描述
	 */
	private String outwlDesc = "";
	/**
	 * 冶炼炉号(电炉炉号)
	 */
	private String stoveNo = "";
	/**
	 * 标示炉号(打印炉号)
	 */
	private String flagStoveNo = "";
	/**
	 * 产线内炉计划顺序号
	 */
	private String gxProSeq = "";
	/**
	 * 作业日期（年月日）
	 */
	private String proDay = "";
	/**
	 * 结算日期（年月）
	 */
	private String balYearMonth = "";
	/**
	 * 生产标准
	 */
	private String prodStandard = "";
	/**
	 * 输出标准
	 */
	private String outputStandard = "";

	/**
	 * 炉计划ID
	 * 
	 * @return value
	 */
	public String getHeatPlanNo() {
		return heatPlanNo;
	}

	/**
	 * 炉计划ID
	 * 
	 * @param heatPlanNo
	 *            value
	 */
	public void setHeatPlanNo(String heatPlanNo) {
		this.heatPlanNo = heatPlanNo;
	}

	/**
	 * 接箍工序订单编号
	 * 
	 * @return value
	 */
	public String getProPlanId() {
		return proPlanId;
	}

	/**
	 * 接箍工序订单编号
	 * 
	 * @param proPlanId
	 *            value
	 */
	public void setProPlanId(String proPlanId) {
		this.proPlanId = proPlanId;
	}

	/**
	 * 属性分组号
	 * 
	 * @return value
	 */
	public String getJgGroupId() {
		return jgGroupId;
	}

	/**
	 * 属性分组号
	 * 
	 * @param jgGroupId
	 *            value
	 */
	public void setJgGroupId(String jgGroupId) {
		this.jgGroupId = jgGroupId;
	}

	/**
	 * 工序排产序号
	 * 
	 * @return value
	 */
	public String getGxPlanNo() {
		return gxPlanNo;
	}

	/**
	 * 工序排产序号
	 * 
	 * @param gxPlanNo
	 *            value
	 */
	public void setGxPlanNo(String gxPlanNo) {
		this.gxPlanNo = gxPlanNo;
	}

	/**
	 * 炉号
	 * 
	 * @return value
	 */
	public String getJudgeStoveNo() {
		return judgeStoveNo;
	}

	/**
	 * 炉号
	 * 
	 * @param judgeStoveNo
	 *            value
	 */
	public void setJudgeStoveNo(String judgeStoveNo) {
		this.judgeStoveNo = judgeStoveNo;
	}

	/**
	 * 接箍产线代码
	 * 
	 * @return value
	 */
	public String getPlineCode() {
		return plineCode;
	}

	/**
	 * 接箍产线代码
	 * 
	 * @param plineCode
	 *            value
	 */
	public void setPlineCode(String plineCode) {
		this.plineCode = plineCode;
	}

	/**
	 * 接箍产线描述
	 * 
	 * @return value
	 */
	public String getPlineName() {
		return plineName;
	}

	/**
	 * 接箍产线描述
	 * 
	 * @param plineName
	 *            value
	 */
	public void setPlineName(String plineName) {
		this.plineName = plineName;
	}

	/**
	 * 接箍备料码
	 * 
	 * @return value
	 */
	public String getCodeJgBl() {
		return codeJgBl;
	}

	/**
	 * 接箍备料码
	 * 
	 * @param codeJgBl
	 *            value
	 */
	public void setCodeJgBl(String codeJgBl) {
		this.codeJgBl = codeJgBl;
	}

	/**
	 * 接箍料物料编码
	 * 
	 * @return value
	 */
	public String getBlWlId() {
		return blWlId;
	}

	/**
	 * 接箍料物料编码
	 * 
	 * @param blWlId
	 *            value
	 */
	public void setBlWlId(String blWlId) {
		this.blWlId = blWlId;
	}

	/**
	 * 接箍料物料描述
	 * 
	 * @return value
	 */
	public String getBlWlDesc() {
		return blWlDesc;
	}

	/**
	 * 接箍料物料描述
	 * 
	 * @param blWlDesc
	 *            value
	 */
	public void setBlWlDesc(String blWlDesc) {
		this.blWlDesc = blWlDesc;
	}

	/**
	 * 钢级(牌号)代码
	 * 
	 * @return value
	 */
	public String getSteelcode() {
		return steelcode;
	}

	/**
	 * 钢级(牌号)代码
	 * 
	 * @param steelcode
	 *            value
	 */
	public void setSteelcode(String steelcode) {
		this.steelcode = steelcode;
	}

	/**
	 * 钢级(牌号)名称
	 * 
	 * @return value
	 */
	public String getSteelname() {
		return steelname;
	}

	/**
	 * 钢级(牌号)名称
	 * 
	 * @param steelname
	 *            value
	 */
	public void setSteelname(String steelname) {
		this.steelname = steelname;
	}

	/**
	 * 钢种代码
	 * 
	 * @return value
	 */
	public String getGradecode() {
		return gradecode;
	}

	/**
	 * 钢种代码
	 * 
	 * @param gradecode
	 *            value
	 */
	public void setGradecode(String gradecode) {
		this.gradecode = gradecode;
	}

	/**
	 * 钢种名称
	 * 
	 * @return value
	 */
	public String getGradename() {
		return gradename;
	}

	/**
	 * 钢种名称
	 * 
	 * @param gradename
	 *            value
	 */
	public void setGradename(String gradename) {
		this.gradename = gradename;
	}

	/**
	 * 接箍料外径(mm)
	 * 
	 * @return value
	 */
	public String getMinD() {
		return minD;
	}

	/**
	 * 接箍料外径(mm)
	 * 
	 * @param minD
	 *            value
	 */
	public void setMinD(String minD) {
		this.minD = minD;
	}

	/**
	 * 接箍料壁厚(mm)
	 * 
	 * @return value
	 */
	public String getMinH() {
		return minH;
	}

	/**
	 * 接箍料壁厚(mm)
	 * 
	 * @param minH
	 *            value
	 */
	public void setMinH(String minH) {
		this.minH = minH;
	}

	/**
	 * 接箍料目标长度
	 * 
	 * @return value
	 */
	public String getAimlengthBl() {
		return aimlengthBl;
	}

	/**
	 * 接箍料目标长度
	 * 
	 * @param aimlengthBl
	 *            value
	 */
	public void setAimlengthBl(String aimlengthBl) {
		this.aimlengthBl = aimlengthBl;
	}

	/**
	 * 目标切管长
	 * 
	 * @return value
	 */
	public String getAimCutLen() {
		return aimCutLen;
	}

	/**
	 * 目标切管长
	 * 
	 * @param aimCutLen
	 *            value
	 */
	public void setAimCutLen(String aimCutLen) {
		this.aimCutLen = aimCutLen;
	}

	/**
	 * 接箍坯料长度min
	 * 
	 * @return value
	 */
	public String getLengthMin() {
		return lengthMin;
	}

	/**
	 * 接箍坯料长度min
	 * 
	 * @param lengthMin
	 *            value
	 */
	public void setLengthMin(String lengthMin) {
		this.lengthMin = lengthMin;
	}

	/**
	 * 接箍坯料长度max
	 * 
	 * @return value
	 */
	public String getLengthMax() {
		return lengthMax;
	}

	/**
	 * 接箍坯料长度max
	 * 
	 * @param lengthMax
	 *            value
	 */
	public void setLengthMax(String lengthMax) {
		this.lengthMax = lengthMax;
	}

	/**
	 * 接箍坯料锥度
	 * 
	 * @return value
	 */
	public String getTaper() {
		return taper;
	}

	/**
	 * 接箍坯料锥度
	 * 
	 * @param taper
	 *            value
	 */
	public void setTaper(String taper) {
		this.taper = taper;
	}

	/**
	 * 接箍码
	 * 
	 * @return value
	 */
	public String getCodeJg() {
		return codeJg;
	}

	/**
	 * 接箍码
	 * 
	 * @param codeJg
	 *            value
	 */
	public void setCodeJg(String codeJg) {
		this.codeJg = codeJg;
	}

	/**
	 * 扣型代码
	 * 
	 * @return value
	 */
	public String getModelCode() {
		return modelCode;
	}

	/**
	 * 扣型代码
	 * 
	 * @param modelCode
	 *            value
	 */
	public void setModelCode(String modelCode) {
		this.modelCode = modelCode;
	}

	/**
	 * 接箍扣型描述
	 * 
	 * @return value
	 */
	public String getModelDesc() {
		return modelDesc;
	}

	/**
	 * 接箍扣型描述
	 * 
	 * @param modelDesc
	 *            value
	 */
	public void setModelDesc(String modelDesc) {
		this.modelDesc = modelDesc;
	}

	/**
	 * 接箍外径
	 * 
	 * @return value
	 */
	public String getOutdiameter() {
		return outdiameter;
	}

	/**
	 * 接箍外径
	 * 
	 * @param outdiameter
	 *            value
	 */
	public void setOutdiameter(String outdiameter) {
		this.outdiameter = outdiameter;
	}

	/**
	 * 接箍壁厚
	 * 
	 * @return value
	 */
	public String getWallthick() {
		return wallthick;
	}

	/**
	 * 接箍壁厚
	 * 
	 * @param wallthick
	 *            value
	 */
	public void setWallthick(String wallthick) {
		this.wallthick = wallthick;
	}

	/**
	 * 接箍规格代码
	 * 
	 * @return value
	 */
	public String getSpecJg() {
		return specJg;
	}

	/**
	 * 接箍规格代码
	 * 
	 * @param specJg
	 *            value
	 */
	public void setSpecJg(String specJg) {
		this.specJg = specJg;
	}

	/**
	 * 接箍规格描述
	 * 
	 * @return value
	 */
	public String getSpecJgDesc() {
		return specJgDesc;
	}

	/**
	 * 接箍规格描述
	 * 
	 * @param specJgDesc
	 *            value
	 */
	public void setSpecJgDesc(String specJgDesc) {
		this.specJgDesc = specJgDesc;
	}

	/**
	 * 中孔类别(I、II、III、IV...)
	 * 
	 * @return value
	 */
	public String getStyleJg() {
		return styleJg;
	}

	/**
	 * 中孔类别(I、II、III、IV...)
	 * 
	 * @param styleJg
	 *            value
	 */
	public void setStyleJg(String styleJg) {
		this.styleJg = styleJg;
	}

	/**
	 * 中孔内径
	 * 
	 * @return value
	 */
	public String getDiameter() {
		return diameter;
	}

	/**
	 * 中孔内径
	 * 
	 * @param diameter
	 *            value
	 */
	public void setDiameter(String diameter) {
		this.diameter = diameter;
	}

	/**
	 * 测量J值
	 * 
	 * @return value
	 */
	public String getCheckJVal() {
		return checkJVal;
	}

	/**
	 * 测量J值
	 * 
	 * @param checkJVal
	 *            value
	 */
	public void setCheckJVal(String checkJVal) {
		this.checkJVal = checkJVal;
	}

	/**
	 * 接箍长度(MM)
	 * 
	 * @return value
	 */
	public String getAimlength() {
		return aimlength;
	}

	/**
	 * 接箍长度(MM)
	 * 
	 * @param aimlength
	 *            value
	 */
	public void setAimlength(String aimlength) {
		this.aimlength = aimlength;
	}

	/**
	 * 接箍单重
	 * 
	 * @return value
	 */
	public String getSingleweight() {
		return singleweight;
	}

	/**
	 * 接箍单重
	 * 
	 * @param singleweight
	 *            value
	 */
	public void setSingleweight(String singleweight) {
		this.singleweight = singleweight;
	}

	/**
	 * 涂层类型（镀铜、磷化）
	 * 
	 * @return value
	 */
	public String getCoatType() {
		return coatType;
	}

	/**
	 * 涂层类型（镀铜、磷化）
	 * 
	 * @param coatType
	 *            value
	 */
	public void setCoatType(String coatType) {
		this.coatType = coatType;
	}

	/**
	 * 计划接箍个数
	 * 
	 * @return value
	 */
	public String getPlanJgNum() {
		return planJgNum;
	}

	/**
	 * 计划接箍个数
	 * 
	 * @param planJgNum
	 *            value
	 */
	public void setPlanJgNum(String planJgNum) {
		this.planJgNum = planJgNum;
	}

	/**
	 * 计划接箍料支数
	 * 
	 * @return value
	 */
	public String getPlanBlNum() {
		return planBlNum;
	}

	/**
	 * 计划接箍料支数
	 * 
	 * @param planBlNum
	 *            value
	 */
	public void setPlanBlNum(String planBlNum) {
		this.planBlNum = planBlNum;
	}

	/**
	 * 计划接箍料重量
	 * 
	 * @return value
	 */
	public String getPlanBlWt() {
		return planBlWt;
	}

	/**
	 * 计划接箍料重量
	 * 
	 * @param planBlWt
	 *            value
	 */
	public void setPlanBlWt(String planBlWt) {
		this.planBlWt = planBlWt;
	}

	/**
	 * 监制要求
	 * 
	 * @return value
	 */
	public String getMonitordemand() {
		return monitordemand;
	}

	/**
	 * 监制要求
	 * 
	 * @param monitordemand
	 *            value
	 */
	public void setMonitordemand(String monitordemand) {
		this.monitordemand = monitordemand;
	}

	/**
	 * 是否监制
	 * 
	 * @return value
	 */
	public String getIfMonitorJg() {
		return ifMonitorJg;
	}

	/**
	 * 是否监制
	 * 
	 * @param ifMonitorJg
	 *            value
	 */
	public void setIfMonitorJg(String ifMonitorJg) {
		this.ifMonitorJg = ifMonitorJg;
	}

	/**
	 * 监制编号
	 * 
	 * @return value
	 */
	public String getPrdcrNo() {
		return prdcrNo;
	}

	/**
	 * 监制编号
	 * 
	 * @param prdcrNo
	 *            value
	 */
	public void setPrdcrNo(String prdcrNo) {
		this.prdcrNo = prdcrNo;
	}

	/**
	 * 切管机床组号
	 * 
	 * @return value
	 */
	public String getCutMachGrpNo() {
		return cutMachGrpNo;
	}

	/**
	 * 切管机床组号
	 * 
	 * @param cutMachGrpNo
	 *            value
	 */
	public void setCutMachGrpNo(String cutMachGrpNo) {
		this.cutMachGrpNo = cutMachGrpNo;
	}

	/**
	 * 切管机床组
	 * 
	 * @return value
	 */
	public String getCutMachGrpNm() {
		return cutMachGrpNm;
	}

	/**
	 * 切管机床组
	 * 
	 * @param cutMachGrpNm
	 *            value
	 */
	public void setCutMachGrpNm(String cutMachGrpNm) {
		this.cutMachGrpNm = cutMachGrpNm;
	}

	/**
	 * 压印喷标要求（4项之一）
	 * 
	 * @return value
	 */
	public String getDemandCopper() {
		return demandCopper;
	}

	/**
	 * 压印喷标要求（4项之一）
	 * 
	 * @param demandCopper
	 *            value
	 */
	public void setDemandCopper(String demandCopper) {
		this.demandCopper = demandCopper;
	}

	/**
	 * 车丝机床组号
	 * 
	 * @return value
	 */
	public String getLatheGrpNo() {
		return latheGrpNo;
	}

	/**
	 * 车丝机床组号
	 * 
	 * @param latheGrpNo
	 *            value
	 */
	public void setLatheGrpNo(String latheGrpNo) {
		this.latheGrpNo = latheGrpNo;
	}

	/**
	 * 车丝机床组
	 * 
	 * @return value
	 */
	public String getLatheGrpNm() {
		return latheGrpNm;
	}

	/**
	 * 车丝机床组
	 * 
	 * @param latheGrpNm
	 *            value
	 */
	public void setLatheGrpNm(String latheGrpNm) {
		this.latheGrpNm = latheGrpNm;
	}

	/**
	 * 探伤要求（4项之一，408401）
	 * 
	 * @return value
	 */
	public String getDemandDetection() {
		return demandDetection;
	}

	/**
	 * 探伤要求（4项之一，408401）
	 * 
	 * @param demandDetection
	 *            value
	 */
	public void setDemandDetection(String demandDetection) {
		this.demandDetection = demandDetection;
	}

	/**
	 * 喷砂要求（4项之一）
	 * 
	 * @return value
	 */
	public String getDemandBlast() {
		return demandBlast;
	}

	/**
	 * 喷砂要求（4项之一）
	 * 
	 * @param demandBlast
	 *            value
	 */
	public void setDemandBlast(String demandBlast) {
		this.demandBlast = demandBlast;
	}

	/**
	 * 磷化镀铜要求（4项之一，408402）
	 * 
	 * @return value
	 */
	public String getDemandBonderizing() {
		return demandBonderizing;
	}

	/**
	 * 磷化镀铜要求（4项之一，408402）
	 * 
	 * @param demandBonderizing
	 *            value
	 */
	public void setDemandBonderizing(String demandBonderizing) {
		this.demandBonderizing = demandBonderizing;
	}

	/**
	 * 计划状态（0计划，1下发，2生产中，3生产完成）
	 * 
	 * @return value
	 */
	public String getPlanstatus() {
		return planstatus;
	}

	/**
	 * 计划状态（0计划，1下发，2生产中，3生产完成）
	 * 
	 * @param planstatus
	 *            value
	 */
	public void setPlanstatus(String planstatus) {
		this.planstatus = planstatus;
	}

	/**
	 * 备注
	 * 
	 * @return value
	 */
	public String getMemo() {
		return memo;
	}

	/**
	 * 备注
	 * 
	 * @param memo
	 *            value
	 */
	public void setMemo(String memo) {
		this.memo = memo;
	}

	/**
	 * 创建人
	 * 
	 * @return value
	 */
	public String getCreateName() {
		return createName;
	}

	/**
	 * 创建人
	 * 
	 * @param createName
	 *            value
	 */
	public void setCreateName(String createName) {
		this.createName = createName;
	}

	/**
	 * 创建时间
	 * 
	 * @return value
	 */
	public String getCreateTime() {
		return createTime;
	}

	/**
	 * 创建时间
	 * 
	 * @param createTime
	 *            value
	 */
	public void setCreateTime(String createTime) {
		this.createTime = createTime;
	}

	/**
	 * 下发人
	 * 
	 * @return value
	 */
	public String getUpdateName() {
		return updateName;
	}

	/**
	 * 下发人
	 * 
	 * @param updateName
	 *            value
	 */
	public void setUpdateName(String updateName) {
		this.updateName = updateName;
	}

	/**
	 * 下发时间
	 * 
	 * @return value
	 */
	public String getUpdateTime() {
		return updateTime;
	}

	/**
	 * 下发时间
	 * 
	 * @param updateTime
	 *            value
	 */
	public void setUpdateTime(String updateTime) {
		this.updateTime = updateTime;
	}

	/**
	 * 客户Alpha编号
	 * 
	 * @return value
	 */
	public String getCustAlphaNo() {
		return custAlphaNo;
	}

	/**
	 * 客户Alpha编号
	 * 
	 * @param custAlphaNo
	 *            value
	 */
	public void setCustAlphaNo(String custAlphaNo) {
		this.custAlphaNo = custAlphaNo;
	}

	/**
	 * 产品特殊要求描述
	 * 
	 * @return value
	 */
	public String getOrderSpecialDesc() {
		return orderSpecialDesc;
	}

	/**
	 * 产品特殊要求描述
	 * 
	 * @param orderSpecialDesc
	 *            value
	 */
	public void setOrderSpecialDesc(String orderSpecialDesc) {
		this.orderSpecialDesc = orderSpecialDesc;
	}

	/**
	 * 用途代码
	 * 
	 * @return value
	 */
	public String getAlphaCode() {
		return alphaCode;
	}

	/**
	 * 用途代码
	 * 
	 * @param alphaCode
	 *            value
	 */
	public void setAlphaCode(String alphaCode) {
		this.alphaCode = alphaCode;
	}

	/**
	 * 工艺文件号
	 * 
	 * @return value
	 */
	public String getCraftFileNo() {
		return craftFileNo;
	}

	/**
	 * 工艺文件号
	 * 
	 * @param craftFileNo
	 *            value
	 */
	public void setCraftFileNo(String craftFileNo) {
		this.craftFileNo = craftFileNo;
	}

	/**
	 * 工艺序号
	 * 
	 * @return value
	 */
	public String getCraftSeq() {
		return craftSeq;
	}

	/**
	 * 工艺序号
	 * 
	 * @param craftSeq
	 *            value
	 */
	public void setCraftSeq(String craftSeq) {
		this.craftSeq = craftSeq;
	}

	/**
	 * 主交货编码PK
	 * 
	 * @return value
	 */
	public String getOrdLnDlyPk() {
		return ordLnDlyPk;
	}

	/**
	 * 主交货编码PK
	 * 
	 * @param ordLnDlyPk
	 *            value
	 */
	public void setOrdLnDlyPk(String ordLnDlyPk) {
		this.ordLnDlyPk = ordLnDlyPk;
	}

	/**
	 * 单支可切个数
	 * 
	 * @return value
	 */
	public String getSingleCutNun() {
		return singleCutNun;
	}

	/**
	 * 单支可切个数
	 * 
	 * @param singleCutNun
	 *            value
	 */
	public void setSingleCutNun(String singleCutNun) {
		this.singleCutNun = singleCutNun;
	}

	/**
	 * 是否利库
	 * 
	 * @return value
	 */
	public String getIfMatchOdd() {
		return ifMatchOdd;
	}

	/**
	 * 是否利库
	 * 
	 * @param ifMatchOdd
	 *            value
	 */
	public void setIfMatchOdd(String ifMatchOdd) {
		this.ifMatchOdd = ifMatchOdd;
	}

	/**
	 * 是否已做正式炉计划(区分虚拟炉计划OR实际炉计划)
	 * 
	 * @return value
	 */
	public String getIfDoHeatPlan() {
		return ifDoHeatPlan;
	}

	/**
	 * 是否已做正式炉计划(区分虚拟炉计划OR实际炉计划)
	 * 
	 * @param ifDoHeatPlan
	 *            value
	 */
	public void setIfDoHeatPlan(String ifDoHeatPlan) {
		this.ifDoHeatPlan = ifDoHeatPlan;
	}

	/**
	 * 产出物料编码
	 * 
	 * @return value
	 */
	public String getOutwlId() {
		return outwlId;
	}

	/**
	 * 产出物料编码
	 * 
	 * @param outwlId
	 *            value
	 */
	public void setOutwlId(String outwlId) {
		this.outwlId = outwlId;
	}

	/**
	 * 产出物料描述
	 * 
	 * @return value
	 */
	public String getOutwlDesc() {
		return outwlDesc;
	}

	/**
	 * 产出物料描述
	 * 
	 * @param outwlDesc
	 *            value
	 */
	public void setOutwlDesc(String outwlDesc) {
		this.outwlDesc = outwlDesc;
	}

	/**
	 * 冶炼炉号(电炉炉号)
	 * 
	 * @return value
	 */
	public String getStoveNo() {
		return stoveNo;
	}

	/**
	 * 冶炼炉号(电炉炉号)
	 * 
	 * @param stoveNo
	 *            value
	 */
	public void setStoveNo(String stoveNo) {
		this.stoveNo = stoveNo;
	}

	/**
	 * 标示炉号(打印炉号)
	 * 
	 * @return value
	 */
	public String getFlagStoveNo() {
		return flagStoveNo;
	}

	/**
	 * 标示炉号(打印炉号)
	 * 
	 * @param flagStoveNo
	 *            value
	 */
	public void setFlagStoveNo(String flagStoveNo) {
		this.flagStoveNo = flagStoveNo;
	}

	/**
	 * 产线内炉计划顺序号
	 * 
	 * @return value
	 */
	public String getGxProSeq() {
		return gxProSeq;
	}

	/**
	 * 产线内炉计划顺序号
	 * 
	 * @param gxProSeq
	 *            value
	 */
	public void setGxProSeq(String gxProSeq) {
		this.gxProSeq = gxProSeq;
	}

	/**
	 * 作业日期（年月日）
	 * 
	 * @return value
	 */
	public String getProDay() {
		return proDay;
	}

	/**
	 * 作业日期（年月日）
	 * 
	 * @param proDay
	 *            value
	 */
	public void setProDay(String proDay) {
		this.proDay = proDay;
	}

	/**
	 * 结算日期（年月）
	 * 
	 * @return value
	 */
	public String getBalYearMonth() {
		return balYearMonth;
	}

	/**
	 * 结算日期（年月）
	 * 
	 * @param balYearMonth
	 *            value
	 */
	public void setBalYearMonth(String balYearMonth) {
		this.balYearMonth = balYearMonth;
	}

	/**
	 * 生产标准
	 * 
	 * @return value
	 */
	public String getProdStandard() {
		return prodStandard;
	}

	/**
	 * 生产标准
	 * 
	 * @param prodStandard
	 *            value
	 */
	public void setProdStandard(String prodStandard) {
		this.prodStandard = prodStandard;
	}

	/**
	 * 输出标准
	 * 
	 * @return value
	 */
	public String getOutputStandard() {
		return outputStandard;
	}

	/**
	 * 输出标准
	 * 
	 * @param outputStandard
	 *            value
	 */
	public void setOutputStandard(String outputStandard) {
		this.outputStandard = outputStandard;
	}

	/**
	 * 上工序炉计划ID
	 * 
	 * @param versionNo
	 *            value
	 */
	private String upperHeatplanId = "";

	/**
	 * 上工序炉计划ID
	 * 
	 * @param versionNo
	 *            value
	 */
	public String getUpperHeatplanId() {
		return upperHeatplanId;
	}

	/**
	 * 上工序炉计划ID
	 * 
	 * @param versionNo
	 *            value
	 */
	public void setUpperHeatplanId(String upperHeatplanId) {
		this.upperHeatplanId = upperHeatplanId;
	}

	private String upperProcessCode = "";

	/**
	 * 上工序代码
	 * 
	 * @param versionNo
	 *            value
	 */
	public String getUpperProcessCode() {
		return upperProcessCode;
	}

	/**
	 * 上工序代码
	 * 
	 * @param versionNo
	 *            value
	 */
	public void setUpperProcessCode(String upperProcessCode) {
		this.upperProcessCode = upperProcessCode;
	}
	 /**
     * 标准代码
     */
    private String stdCode = "";
    /**
     * 标准名称
     */
    private String stdName = "";
    /**
     * 标准类别代码
     */
    private String stdStyle = "";
    /**
     * 标准类别描述(I、II、III)
     */
    private String stdStyleDesc = "";
    /**
     * 接箍品种代码
     */
    private String produccodeJg = "";
    /**
     * 接箍品种描述
     */
    private String produccodeJgDesc = "";

    /**
     * 标准代码
     * @return value
     */
    public String getStdCode() {
        return stdCode;
    }

    /**
     * 标准代码
     * @param stdCode value
     */
    public void setStdCode(String stdCode) {
        this.stdCode = stdCode;
    }

    /**
     * 标准名称
     * @return value
     */
    public String getStdName() {
        return stdName;
    }

    /**
     * 标准名称
     * @param stdName value
     */
    public void setStdName(String stdName) {
        this.stdName = stdName;
    }

    /**
     * 标准类别代码
     * @return value
     */
    public String getStdStyle() {
        return stdStyle;
    }

    /**
     * 标准类别代码
     * @param stdStyle value
     */
    public void setStdStyle(String stdStyle) {
        this.stdStyle = stdStyle;
    }

    /**
     * 标准类别描述(I、II、III)
     * @return value
     */
    public String getStdStyleDesc() {
        return stdStyleDesc;
    }

    /**
     * 标准类别描述(I、II、III)
     * @param stdStyleDesc value
     */
    public void setStdStyleDesc(String stdStyleDesc) {
        this.stdStyleDesc = stdStyleDesc;
    }

    /**
     * 接箍品种代码
     * @return value
     */
    public String getProduccodeJg() {
        return produccodeJg;
    }

    /**
     * 接箍品种代码
     * @param produccodeJg value
     */
    public void setProduccodeJg(String produccodeJg) {
        this.produccodeJg = produccodeJg;
    }

    /**
     * 接箍品种描述
     * @return value
     */
    public String getProduccodeJgDesc() {
        return produccodeJgDesc;
    }

    /**
     * 接箍品种描述
     * @param produccodeJgDesc value
     */
    public void setProduccodeJgDesc(String produccodeJgDesc) {
        this.produccodeJgDesc = produccodeJgDesc;
    }
}